Subject: bug#48060: "make check" leaves temporary files after native-comp merge

From: Andrea Corallo <[email-masked]>
Date: Sun, 02 May 2021 21:28:14 +0000

Lars Ingebrigtsen <[email-masked]> writes:

> Andrea Corallo <[email-masked]> writes:
>
>>> Couldn't you create this different folder inside an ert-deftest, and
>>> remove it at test-case end?
>>
>> No, Emacs needs to be able if necessary to depose .eln files even before
>> a test is run (this is not specific to native-comp tests), and given we
>> set HOME to a non existent directory the conventional
>> "~/.emacs.d/eln-cache" can't be used.
>
> I don't quite understand how this precludes us from specifying a
> directory under test/ for the .eln files?  I.e., 
>
> HOME=/nonexistent ELN_DIR=test/cache-dir emacs ...

I agree, these are just to different cases, specifying one single
directory is certainly possible, doing it test by test inside
ert-deftest makes me a little more skeptical :)

  Andrea